package cn.freemud.service;

import cn.freemud.id.sharding.DefaultKeyGenerator;
import org.junit.Test;

public class IdTest {
    @Test
    public void testid(){
        DefaultKeyGenerator.setWorkerId(34);
        DefaultKeyGenerator keyGenerator = new DefaultKeyGenerator();

        for (int i = 0; i <100 ; i++) {
        Long id = (Long)keyGenerator.generateKey();
            System.out.println();

        }
    }
}
